﻿namespace CarpentryWorkshop.Entities;

public class Material
{
    public int Id { get; private set; }
    public string Name { get; private set; } = string.Empty;
    public int Count { get; private set; }
    public int ReservInWarehouse { get; private set; }
    public static Material CreateEntity(int id, string name, int count, int reserveInWarehouse)
    {
        return new Material
        {
            Id = id,
            Name = name,
            Count = count,
            ReservInWarehouse = reserveInWarehouse
        };
    }
}
