﻿namespace CarpentryWorkshop.Entities;

public class MaterialReplenishment
{
    public int Id { get; private set; }
    public string Name { get; private set; } = string.Empty;
    public int Count { get; private set; }
    public static MaterialReplenishment CreateOperation(int id, string name, int count)
    {
        return new MaterialReplenishment
        {
            Id = id,
            Name = name,
            Count = count
        };
    }
}
