﻿using CarpentryWorkshop.Entities;

namespace CarpentryWorkshop.Repositories;

public interface IMaterialReplenishmentRepository
{
    IEnumerable<MaterialReplenishment> ReadMaterialsSpent();
    MaterialReplenishment ReadMaterialSpentById(int id);
    void CreateMaterialSpent(MaterialReplenishment material);
    void UpdateMaterialSpent(MaterialReplenishment material);
}
