﻿using CarpentryWorkshop.Entities;

namespace CarpentryWorkshop.Repositories;

public interface IOrderRepository
{
    IEnumerable<Order> ReadOrders(DateTime? dateForm = null, DateTime? dateTo = null, int? orderStatus = null, int? orderId = null);
    Order ReadOrderById(int orderId);
    void CreateOrder(Order order);
    void DeleteOrder(int id);
}
